Page MenuHomePhabricator

[CodeGen] Support generation of TBAA info in the new format
ClosedPublic

Authored by kosarev on Dec 19 2017, 7:23 AM.

Details

Summary

Now that the MDBuilder helpers generating TBAA type and access descriptors in the new format are in place, we can teach clang to use them when requested.

Diff Detail

Repository
rL LLVM

Event Timeline

kosarev created this revision.Dec 19 2017, 7:23 AM

There are more tests that we will need to rewrite during migration to the new format than I think we could handle with a single patch. I was going to address them with separate patches. Or, I can rewrite some most basic of them as part of this patch.

Rewriting some of the most basic tests would be fine. Please either use new FileCheck lines or clone the existing tests, since we don't really know how long this transition will last.

Rewriting some of the most basic tests would be fine. Please either use new FileCheck lines or clone the existing tests, since we don't really know how long this transition will last.

+1

Otherwise, this looks fine to me.

kosarev updated this revision to Diff 127722.Dec 20 2017, 7:55 AM

Added tests.

You can pass multiple -check-prefix arguments to FileCheck and it'll match all of them. You can use that to make your test change simpler: make the existing RUN check for both PATH and OLD-PATH and the new RUN check for both PATH and NEW-PATH, then change all the existing metadata matches to OLD-PATH.

kosarev updated this revision to Diff 127838.Dec 21 2017, 12:41 AM

Updated as suggested.

rjmccall accepted this revision.Dec 21 2017, 8:19 AM

That's great, thanks. LGTM.

This revision is now accepted and ready to land.Dec 21 2017, 8:19 AM
This revision was automatically updated to reflect the committed changes.